
/*
    Copyright 2022, Prusa Research s.r.o.

    This file is part of touch-ui

    touch-ui is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/
import QtQuick 2.12
import ".."
import "."

// SimpleDelegate loader will not be used here.
SimpleDelegate {
    id: root
    property alias text: txt.text
    property alias font: txt.font
    property bool enabled: true


    height: Math.max(root.implicitHeight, txt.height)

    RollingText {
        id: txt
        anchors {
            verticalCenter: root.verticalCenter
            left: root.left
            leftMargin: 100
            right: root.right
            rightMargin: 15
        }
        overshoot: 0
    }

    Rectangle {
        color: "black"
        opacity: 0.5
        visible: ! root.enabled
        anchors.fill: parent
    }
}
